Subject: Re: bug#67029: 29.1; EWW mode text entry literally unusable on Brutaldon

From: Sebastián Monía <[email-masked]>
Date: Thu, 03 Oct 2024 14:24:29 -0400

I was able to reproduce, _I think_ , as the original report in the image
wasn't that clear to me.

The problem seems to be the text area is rendered using the number of
lines and columns described in the HTML attributes, but you can write
farther than them, and then editing behaviour is "off". You cannot
delete some of the text, unless you add a new line.
 
Csepp <[email-masked]> writes:
> Stefan Kangas <[email-masked]> writes:
>
>> Csepp <[email-masked]> writes:
>>
>>> Haven't gotten around to it yet, sorry.  The specific case is only
>>> slightly tricky, but the general case (can't enter text longer than box)
>>> seems to be a universal issue across every system I've tried.
>>> A hopefully simple fix would be to just do what w3m does and open a
>>> separate buffer.
>>
>> Thanks, please let us know when you make any progress.
>>
>> It would be great to have an example web page.  EWW can handle file://
>> URLs so you could simply send an HTML file that exhibits the problem.
>
> Okay, so this textarea example from MDN reproduces it.
>
> <!DOCTYPE html>
> <html>
> <body>
> <form>
> <textarea id="w3review" name="w3review" rows="4" cols="50">
> </form>
> </body>
> </html>
>
The HTML to reproduce the problem is missing the closing
tag for the text area. I tested with this variation:

<!DOCTYPE html>
<html>
<body>
<form action="?" method="get">
  <textarea id="w3review" name="w3review" rows="4" cols="50"></textarea>
  <input type="submit" value="Send" />
</form>
</body>
</html>

And looking at the submitted URL, all of the text area text is
submitted, and I can work with the contents. Literally unusable sounds a
bit harsh :)

But yes maybe there's room to improve the rendering of text areas.
Not sure if poping up a new window is the way to go, maybe we have some
prior art on this but I honestly don't know.
Do any of the customize widgets provide multi line editing, for example?
Just an idea.

-- 
Sebastián Monía
https://site.sebasmonia.com/